<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy FramedWidget.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_framed_widget_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">FramedWidget.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_framed_widget_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;<a class="code" href="_framed_widget_8hpp.html">FramedWidget.hpp</a>&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="class_framed_widget.html#a257d943892d078be53e1ca628405c98b">   19</a></span><a class="code hl_function" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget::FramedWidget</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *widget_title, QWidget *parent) : QFrame(parent)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">// Tworzy tytuł widgetu i zarządcę wertykalnego</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <a class="code hl_variable" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a> = <span class="keyword">new</span> QLabel(tr(widget_title));</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a> = <span class="keyword">new</span> QVBoxLayout(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">// Nadaje odpowiedni styl obramowaniu</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    setFrameStyle(QFrame::StyledPanel | QFrame::Raised);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">// Grubość linii obramowania (maksymalna)</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    setLineWidth(3);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>}</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="ttc" id="a_framed_widget_8hpp_html"><div class="ttname"><a href="_framed_widget_8hpp.html">FramedWidget.hpp</a></div><div class="ttdoc">Definicja klasy FramedWidget.</div></div>
<div class="ttc" id="aclass_framed_widget_html_a1c6f4531fc17c8cd36c229a3a4f9175f"><div class="ttname"><a href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget::FramedWidget</a></div><div class="ttdeci">FramedWidget()</div><div class="ttdoc">Konstruktor domyślny.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00057">FramedWidget.hpp:57</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_a5b62f9e21c0b6f3e797070d26027ac45"><div class="ttname"><a href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">FramedWidget::vlayout</a></div><div class="ttdeci">QVBoxLayout * vlayout</div><div class="ttdoc">Zarządca geometrii wertykalnej.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00053">FramedWidget.hpp:53</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_ace4a4b291bdc10ef5c4599a43baf1ab5"><div class="ttname"><a href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">FramedWidget::title</a></div><div class="ttdeci">QLabel * title</div><div class="ttdoc">Tytuł widgetu.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00049">FramedWidget.hpp:49</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_framed_widget_8cpp.html">FramedWidget.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
